2017-11-22 12:57 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003853Kali Linux[All Projects] Kali Package Bugpublic2017-02-05 16:34
Reporterrtsa 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusnewResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0003853: Kali ARM for Pi
DescriptionAfter loading Kali ARM for Pi I do an update and an upgrade. All works well until the end when I get error messages and upon reboot, my devices no longer work. I am using a Pi 3 Model B and the image for RaspberryPi 2/3 Version 2.1.2. The error messages are:

Errors were encountered while processing;
udev
initrams-tools-core
initramfs-tools
libsane:armhf
colord
sane-utils
upower
E: Sub-process /usr/bin/dpkg returned error code (1)

Thanks
Attached Files

-Relationships
+Relationships

-Notes

~0006299

bmckeever (reporter)

I'm having the same problem. New Pi3, using the Raspberry Pi 2/3 Kali arm image. Installs fine, boots fine, 'apt-get update works', but 'apt-get upgrade' fails and leaves the machine unusable. Looking at the console output it appears that 'adduser' fails trying to add an 'input' group that already exists.

Could really use help. THX

~0006317

awrNyr (reporter)

Hi, I'm having the same problem too, I've bought a new Raspberry Pi 3 Model B and downloaded Kali arm image last week.

I think the problem come because we tried to upgrade software for the wrong distri version (supposition).

Try this on new image (it worked for me 02/05/17 - 17pm) :
apt-get update AND DIRECTLY apt-get get dist-upgrade (no apt-get upgrade)


I hope this will be helpful for you

(sorry for my baaaad english, i'm french..)
+Notes

-Issue History
Date Modified Username Field Change
2017-01-30 14:48 rtsa New Issue
2017-02-03 04:45 bmckeever Note Added: 0006299
2017-02-05 16:34 awrNyr Note Added: 0006317
+Issue History